- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Variables
WP6FontDescriptorPacket.cpp File Reference
`#include <string.h>`
`#include <limits>`
`#include "WP6FontDescriptorPacket.h"`
`#include "libwpd_internal.h"`
`#include <string>`

## Macros
#define | countElements(a) ((sizeof(a) / sizeof(a[0])))

## Variables
const char * | FONT_WEIGHT_STRINGS []
const char * | USELESS_WP_POSTFIX = "-WP"

## Macro Definition Documentation

#define countElements | ( |  | a | ) | ((sizeof(a) / sizeof(a[0])))

Referenced by WP6FontDescriptorPacket::_readFontName().

## Variable Documentation

const char* FONT_WEIGHT_STRINGS[]

Initial value:
= { "Bold", "bold", "Demi", "demi", "Extended", "extended",
"Extra", "extra", "Headline", "headline", "Light", "light",
"Medium", "medium", "Normal", "normal", "Regular", "regular",
"Standaard", "standaard", "Standard", "standard"
}

Referenced by WP6FontDescriptorPacket::_readFontName().

const char* USELESS_WP_POSTFIX = "-WP"

Referenced by WP6FontDescriptorPacket::_readFontName().